Subject: Re: bug#51242: [PATCH] New option show-paren-context-when-offscreen

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 18 Oct 2021 09:28:09 +0200

Daniel Martín <[email-masked]> writes:

> When the attached patch is installed, if
> show-paren-context-when-offscreen is t, when you move the point to a
> closing delimiter, if the opening delimiter is offscreen, the line where
> the opening line is will appear in the echo area.  This gives you
> context about what a delimiter is closing without having to move the
> point or reinsert it.  There is similar functionality in popular IDEs.

I think that's really cool, so I've pushed this to Emacs 29.

One possible tweak:

> +                  (minibuffer-message
> +                   "Matches %s"
> +                   (substring-no-properties open-paren-line-string)))))

Would it make sense to retain the text properties, so that you get the
fontification in the echo area, too?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no